### Method

# Gio DBusMessage new_method_error_valist

since: 2.26

#### Declaration [src]

    GDBusMessage*
    g_dbus_message_new_method_error_valist (
      GDBusMessage* method_call_message,
      const gchar* error_name,
      const gchar* error_message_format,
      va_list var_args
    )

#### Description [src]

Like `g_dbus_message_new_method_error()` but intended for language bindings.

Available since: 2.26

This method is not directly available to language bindings.

#### Parameters

`error_name`

  Type: `const gchar*`

  A valid D-Bus error name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error_message_format`

  Type: `const gchar*`

  The D-Bus error message in a `printf()` format.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`var_args`

  Type: `va_list`

  Arguments for `error_message_format`.

#### Return value

Type: `GDBusMessage`

A `GDBusMessage`. Free with g_object_unref().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.